Bug 588980 - "RED HAT CONFIDENTIAL" is not displayed in the header on the first page of a chapter in a PDF
"RED HAT CONFIDENTIAL" is not displayed in the header on the first page of a ...
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 22:02 EDT by Michael Doyle
Modified: 2010-11-23 23:20 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.6.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 23:13:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Doyle 2010-05-04 22:02:56 EDT
Description of problem:
When building a PDF with the RedHat-Internal brand, the confidentiality disclaimer "RED HAT CONFIDENTIAL" is not displayed in the header on the first page of a chapter.

If the chapter has more than one page, the confidentiality disclaimer is displayed correctly on subsequent pages.

Version-Release number of selected component (if applicable):
Name       : publican
Arch       : noarch
Version    : 1.6.2
Release    : 0.fc12

Name       : publican-redhat-internal
Arch       : noarch
Version    : 1.0
Release    : 1.el5


How reproducible:
Everytime --formats=pdf

Steps to Reproduce:
1. Build PDF: publican build --formats=pdf --langs=en-US
2. Display PDF.
  
Actual results:
"RED HAT CONFIDENTIAL" is missing from the header on the first page of each chapter.

Expected results:
"RED HAT CONFIDENTIAL" should be displayed on every page.

Additional info:
Comment 1 Jeff Fearn 2010-05-04 23:55:23 EDT
Added confidential to text to title, first, and blank pages in PDF.

Added confidential_text config parameter, to allow default text to be overridden.
Comment 2 Ruediger Landmann 2010-05-06 02:08:02 EDT
confirmed that "RED HAT CONFIDENTIAL" appears on all pages on PDF generated with publican 1.6.3.t150 and publican-redhat-internal 1.1

confirmed that confidential_text parameter works as advertised in 1.6.3.t150
Comment 3 Ruediger Landmann 2010-05-06 22:14:10 EDT
Would it be possible to allow for localizations of the default text, so that (once we have some translations) "CONFIDENTIAL" appears in the language in which the document is built?
Comment 4 Jeff Fearn 2010-05-06 23:10:16 EDT
(In reply to comment #3)
> Would it be possible to allow for localizations of the default text, so that
> (once we have some translations) "CONFIDENTIAL" appears in the language in
> which the document is built?    

Done.

$ grep -n CONFIDENTIAL po/publican.pot
197:msgid "CONFIDENTIAL"
Comment 5 Evan McNabb 2010-05-10 11:38:57 EDT
Where can I download the 1.6.3.t150 RPMs? I don't see it in brew or as a scratch package. Thanks!
Comment 6 Jeff Fearn 2010-05-10 17:59:03 EDT
(In reply to comment #5)
> Where can I download the 1.6.3.t150 RPMs? I don't see it in brew or as a
> scratch package. Thanks!    

The *.t??? rpms are built from source, we don't use brew/koji until we are ready for a release.
Comment 7 Evan McNabb 2010-05-11 16:03:47 EDT
Gotcha. Could anyone send me temporary RPMs that contain this fix? I need to deliver a PDF that has the confidential header...

Note You need to log in before you can comment on or make changes to this bug.